SystemOrganization addCategory: #'PostMark-Tests'!

TestCase subclass: #PMEmailTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PostMark-Tests'!

!PMEmailTest methodsFor: 'testing' stamp: 'FrancoisStephany 12/15/2011 17:20'!
testAccessors
	| email |
	email := PMEmail new.
	email from: 'francois@wapict.be'.
	email to: #('tulipe.moutarde@gmail.com' 'tulipe@yopmail.com').
	email subject: 'Hello!!'.
	email htmlBody: '<strong>Blop</strong>'.
	email textBody: 'Blop'.
	
	self assert: email textBody equals: 'Blop'.
	self assert: email subject equals: 'Hello!!'.! !

TestCase subclass: #PMInterfaceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PostMark-Tests'!

!PMInterfaceTest methodsFor: 'testing' stamp: 'FrancoisStephany 12/15/2011 17:23'!
testAccessors
	| interface |
	interface  := PMInterface new.
	interface apiKey: 'KEY'.
	self assert: interface apiKey equals: 'KEY'.! !

!PMInterfaceTest methodsFor: 'testing' stamp: 'FrancoisStephany 12/15/2011 18:16'!
testDefaultValues
	| interface |
	interface := PMInterface new.
	self deny: interface developmentMode.
	interface debugStream: ('' writeStream).
	self assert: interface developmentMode.
	
	self assert: interface apiUrl equals: interface defaultApiUrl.! !

!PMInterfaceTest methodsFor: 'testing' stamp: 'FrancoisStephany 12/15/2011 18:23'!
testSend
	| interface email |
	email := PMEmail new.
	email from: 'francois@wapict.be'.
	email to: #('tulipe.moutarde@gmail.com' 'tulipe@yopmail.com').
	email subject: 'Hello!!'.
	email htmlBody: '<strong>Blop</strong>'.
	email textBody: 'Blop'.
	
	interface := PMInterface new.
	self deny: interface developmentMode.
	interface debugStream: ('' writeStream).
	
	interface send: email.
	self assert: (Json render: email) equals: interface debugStream contents.! !
